###########################################################################
#
#   age.mak
#
#   AGEMAME target makefile
#
#   Code used under license by AGEMAME Development.
#   Copyright Nicola Salmoria and the MAME Team.
#   Visit http://mamedev.org for licensing and usage restrictions.
#
###########################################################################
CFLAGS += \
	-I$(SRC)/mame \
	-I$(SRC)/mame/includes \
	-I$(OBJ)/mame/layout \

AGESRC = $(SRC)/age
AGEOBJ = $(OBJ)/age

MAMESRC = $(SRC)/mame
MAMEOBJ = $(OBJ)/mame

AGEAUDIO = $(AGEOBJ)/audio
AGEDRIVERS = $(AGEOBJ)/drivers
AGELAYOUT = $(AGEOBJ)/layout
AGEMACHINE = $(AGEOBJ)/machine

AUDIO = $(MAMEOBJ)/audio
DRIVERS = $(MAMEOBJ)/drivers
LAYOUT = $(MAMEOBJ)/layout
MACHINE = $(MAMEOBJ)/machine
VIDEO = $(MAMEOBJ)/video

OBJDIRS += \
	$(AGEAUDIO) \
	$(AGEDRIVERS) \
	$(AGELAYOUT) \
	$(AGEMACHINE) \
	$(AGEVIDEO) \
	$(AUDIO) \
	$(DRIVERS) \
	$(LAYOUT) \
	$(MACHINE) \
	$(VIDEO) \

#-------------------------------------------------
# specify available CPU cores; some of these are
# unnecessary and so aren't included
#-------------------------------------------------

CPUS += Z80
CPUS += Z180
CPUS += I8085
CPUS += M6502
#CPUS += H6280
CPUS += I86
CPUS += I386
CPUS += NEC
CPUS += V30MZ
CPUS += V60
CPUS += MCS48
CPUS += MCS51
CPUS += M6800
#CPUS += M6805
#CPUS += HD6309
CPUS += M6809
#CPUS += KONAMI
CPUS += M680X0
#CPUS += T11
#CPUS += S2650
CPUS += TMS340X0
#CPUS += TMS9900
#CPUS += Z8000
#CPUS += TMS32010
#CPUS += TMS32025
#CPUS += TMS32031
#CPUS += TMS32051
#CPUS += TMS57002
#CPUS += CCPU
#CPUS += ADSP21XX
#CPUS += PSXCPU
#CPUS += ASAP
#CPUS += UPD7810
CPUS += ARM
#CPUS += ARM7
#CPUS += JAGUAR
#CPUS += CUBEQCPU
#CPUS += ESRIP
CPUS += MIPS
#CPUS += SH2
#CPUS += SH4
#CPUS += DSP32C
CPUS += PIC16C5X
#CPUS += G65816
#CPUS += SPC700
CPUS += E1
#CPUS += I860
#CPUS += I960
CPUS += H83002
CPUS += H83334
CPUS += V810
#CPUS += M37710
#CPUS += POWERPC
#CPUS += SE3208
CPUS += MC68HC11
#CPUS += ADSP21062
#CPUS += DSP56156
#CPUS += RSP
#CPUS += ALPHA8201
#CPUS += CDP1802
#CPUS += COP400
#CPUS += TLCS90
#CPUS += MB88XX
#CPUS += MB86233
#CPUS += SSP1601
#CPUS += APEXC
#CPUS += CP1610
#CPUS += F8
#CPUS += LH5801
#CPUS += PDP1
#CPUS += SATURN
#CPUS += SC61860
#CPUS += LR35902
#CPUS += TMS7000
#CPUS += SM8500
#CPUS += MINX
#CPUS += SSEM
#CPUS += AVR8
#CPUS += TMS0980
#CPUS += I4004




#-------------------------------------------------
# specify available sound cores; some of these are
# unnecessary and so aren't included
#-------------------------------------------------

SOUNDS += CUSTOM
SOUNDS += SAMPLES
SOUNDS += DAC
SOUNDS += DMADAC
SOUNDS += SPEAKER
SOUNDS += BEEP
SOUNDS += DISCRETE
SOUNDS += AY8910
SOUNDS += YM2151
SOUNDS += YM2203
SOUNDS += YM2413
#SOUNDS += YM2608
SOUNDS += YM2610
SOUNDS += YM2610B
#SOUNDS += YM2612
#SOUNDS += YM3438
SOUNDS += YM3812
#SOUNDS += YM3526
#SOUNDS += Y8950
#SOUNDS += YMF262
#SOUNDS += YMF271
#SOUNDS += YMF278B
SOUNDS += YMZ280B
#SOUNDS += SN76477
SOUNDS += SN76496
#SOUNDS += POKEY
#SOUNDS += TIA
#SOUNDS += NES
#SOUNDS += ASTROCADE
#SOUNDS += NAMCO
#SOUNDS += NAMCO_15XX
#SOUNDS += NAMCO_CUS30
#SOUNDS += NAMCO_52XX
#SOUNDS += NAMCO_63701X
#SOUNDS += SNKWAVE
#SOUNDS += C140
#SOUNDS += C352
#SOUNDS += TMS36XX
#SOUNDS += TMS3615
#SOUNDS += TMS5100
#SOUNDS += TMS5110
#SOUNDS += TMS5110A
#SOUNDS += CD2801
#SOUNDS += TMC0281
#SOUNDS += CD2802
#SOUNDS += M58817
#SOUNDS += TMC0285
#SOUNDS += TMS5200
#SOUNDS += TMS5220
#SOUNDS += VLM5030
#SOUNDS += ADPCM
SOUNDS += MSM5205
#SOUNDS += MSM5232
#SOUNDS += OKIM6258
SOUNDS += OKIM6295
SOUNDS += OKIM6376
SOUNDS += UPD7759
SOUNDS += HC55516
#SOUNDS += K005289
#SOUNDS += K007232
#SOUNDS += K051649
#SOUNDS += K053260
#SOUNDS += K054539
#SOUNDS += SEGAPCM
#SOUNDS += MULTIPCM
#SOUNDS += SCSP
#SOUNDS += AICA
#SOUNDS += RF5C68
#SOUNDS += RF5C400
#SOUNDS += CEM3394
#SOUNDS += QSOUND
SOUNDS += SAA1099
#SOUNDS += IREMGA20
#SOUNDS += ES5503
#SOUNDS += ES5505
#SOUNDS += ES5506
#SOUNDS += BSMT2000
#SOUNDS += GAELCO_CG1V
#SOUNDS += GAELCO_GAE1
#SOUNDS += C6280
#SOUNDS += SP0250
#SOUNDS += PSXSPU
#SOUNDS += CDDA
#SOUNDS += ICS2115
SOUNDS += ST0016
#SOUNDS += NILE
#SOUNDS += X1_010
#SOUNDS += VRENDER0
#SOUNDS += VOTRAX
SOUNDS += ES8712
#SOUNDS += CDP1869
#SOUNDS += S14001A
#SOUNDS += WAVE
#SOUNDS += SID6581
#SOUNDS += SID8580
#SOUNDS += SP0256
SOUNDS += DIGITALKER


#-------------------------------------------------
# this is the list of driver libraries that
# comprise AGEMAME
#-------------------------------------------------

DRVLIBS = \
	$(AGEOBJ)/agedriv.o \
	$(AGEOBJ)/ACEcoin.a \
	$(AGEOBJ)/aristocr.a \
	$(AGEOBJ)/astrocorp.a \
	$(AGEOBJ)/AWPABM.a \
	$(AGEOBJ)/barcrest.a \
	$(AGEOBJ)/bfm.a \
	$(AGEOBJ)/calomega.a \
	$(AGEOBJ)/coinmstr.a \
	$(AGEOBJ)/dyna.a \
	$(AGEOBJ)/electrcn.a \
	$(AGEOBJ)/elctprod.a \
	$(AGEOBJ)/igs.a \
	$(AGEOBJ)/jpm.a \
	$(AGEOBJ)/maygay.a \
	$(AGEOBJ)/merit.a \
	$(AGEOBJ)/neogeo.a \
	$(AGEOBJ)/playmark.a \
	$(AGEOBJ)/sega.a \
	$(AGEOBJ)/sigma.a \
	$(AGEOBJ)/tab.a \
	$(AGEOBJ)/taito.a \
	$(AGEOBJ)/tehkan.a \
	$(AGEOBJ)/veltmjr.a \
	$(AGEOBJ)/mameimpt.a \
	$(AGEOBJ)/shared.a \

$(AGEOBJ)/ACEcoin.a: \
	$(DRIVERS)/acefruit.o \
	
$(AGEOBJ)/aristocr.a: \
	$(DRIVERS)/86lions.o \
	$(DRIVERS)/caswin.o \
	$(DRIVERS)/aristmk4.o \
	$(DRIVERS)/aristmk5.o \
	$(MACHINE)/archimds.o \

$(AGEOBJ)/astrocorp.a: \
	$(DRIVERS)/astrocorp.o \
	
$(AGEOBJ)/AWPABM.a: \
	$(DRIVERS)/magic10.o \
	
$(AGEOBJ)/barcrest.a: \
	$(VIDEO)/awpvid.o \
 	$(MACHINE)/meters.o \
 	$(MACHINE)/steppers.o \
 	$(DRIVERS)/mpu4.o \
	$(DRIVERS)/mpu5.o \

$(AGEOBJ)/bfm.a: \
	$(VIDEO)/bfm_dm01.o \
	$(MACHINE)/bfm_bd1.o \
	$(DRIVERS)/bfm_sc1.o \
	$(DRIVERS)/bfm_sc2.o \
	$(DRIVERS)/bfmsys85.o \
	$(DRIVERS)/bfcobra.o \
	$(VIDEO)/bfm_adr2.o \

$(AGEOBJ)/calomega.a: \
	$(DRIVERS)/calomega.o $(VIDEO)/calomega.o \
	
$(AGEOBJ)/coinmstr.a: \
	$(DRIVERS)/coinmstr.o \
	$(DRIVERS)/coinmvga.o \

$(AGEOBJ)/dyna.a: \
	$(DRIVERS)/cb2001.o \

$(AGEOBJ)/electrcn.a: \
	$(DRIVERS)/dmndrby.o \
	
$(AGEOBJ)/elctprod.a: \
	$(DRIVERS)/jackpool.o \
	
$(AGEOBJ)/igs.a: \
	$(DRIVERS)/cabaret.o \
	$(VIDEO)/goldstar.o $(DRIVERS)/goldstar.o \
	$(DRIVERS)/jackie.o \
	$(DRIVERS)/igspoker.o \
	$(DRIVERS)/igs009.o \
	$(DRIVERS)/igs017.o \
	$(DRIVERS)/spoker.o \
	$(DRIVERS)/iqblock.o $(VIDEO)/iqblock.o \

$(AGEOBJ)/jpm.a: \
	$(DRIVERS)/guab.o \
	$(DRIVERS)/jpmsys5.o \
 	$(DRIVERS)/jpmimpct.o $(VIDEO)/jpmimpct.o \

$(AGEOBJ)/maygay.a: \
	$(DRIVERS)/maygay1b.o \
	$(DRIVERS)/maygayv1.o \

$(AGEOBJ)/merit.a: \
	$(DRIVERS)/mpoker.o \

$(AGEOBJ)/neogeo.a: \
	$(DRIVERS)/neogeo.o $(VIDEO)/neogeo.o \
	$(MACHINE)/neoboot.o \
	$(MACHINE)/neocrypt.o \
	$(MACHINE)/neoprot.o \

$(AGEOBJ)/playmark.a: \
	$(DRIVERS)/playmark.o $(VIDEO)/playmark.o \
	$(DRIVERS)/powerbal.o \
	$(DRIVERS)/sderby.o $(VIDEO)/sderby.o \

$(AGEOBJ)/sega.a: \
	$(DRIVERS)/bingoc.o \

$(AGEOBJ)/sigma.a: \
	$(DRIVERS)/galaxian.o $(AUDIO)/galaxian.o $(VIDEO)/galaxian.o $(DRIVERS)/galaxold.o $(MACHINE)/galaxold.o $(VIDEO)/galaxold.o $(MACHINE)/cclimber.o $(AUDIO)/cclimber.o\
	$(DRIVERS)/galaxi.o \
	
$(AGEOBJ)/tab.a: \
	$(DRIVERS)/funworld.o $(VIDEO)/funworld.o \
	
$(AGEOBJ)/taito.a: \
	$(DRIVERS)/cchance.o $(MACHINE)/tnzs.o $(DRIVERS)/tnzs.o $(VIDEO)/tnzs.o \
		
$(AGEOBJ)/tehkan.a: \
	$(VIDEO)/lvcards.o $(DRIVERS)/lvcards.o \

$(AGEOBJ)/veltmjr.a: \
	$(DRIVERS)/cardline.o \
	$(DRIVERS)/witch.o \
	
$(AGEOBJ)/mameimpt.a: \
	$(DRIVERS)/3super8.o \
	$(DRIVERS)/4roses.o \
	$(DRIVERS)/ampoker2.o $(VIDEO)/ampoker2.o \
	$(DRIVERS)/big10.o \
	$(DRIVERS)/bingor.o \
	$(DRIVERS)/buster.o \
	$(DRIVERS)/carrera.o \
	$(DRIVERS)/chsuper.o \
	$(DRIVERS)/cowrace.o \
	$(DRIVERS)/darkhors.o \
	$(DRIVERS)/st0016.o $(VIDEO)/st0016.o \
	$(DRIVERS)/speglsht.o \
	$(DRIVERS)/drw80pkr.o \
	$(DRIVERS)/findout.o \
	$(DRIVERS)/fortecar.o \
	$(DRIVERS)/gatron.o $(VIDEO)/gatron.o \
	$(DRIVERS)/getrivia.o \
	$(DRIVERS)/goldnpkr.o \
	$(DRIVERS)/highvdeo.o \
	$(DRIVERS)/hitpoker.o \
	$(DRIVERS)/ilpag.o \
	$(DRIVERS)/itgamble.o \
	$(DRIVERS)/itgambl2.o \
	$(DRIVERS)/itgambl3.o \
	$(DRIVERS)/jangou.o \
	$(DRIVERS)/janshi.o \
	$(DRIVERS)/jokrwild.o \
	$(DRIVERS)/kingdrby.o \
	$(DRIVERS)/limenko.o \
	$(DRIVERS)/lucky74.o $(VIDEO)/lucky74.o \
	$(DRIVERS)/luckgrln.o \
	$(DRIVERS)/magicard.o \
	$(DRIVERS)/magicfly.o \
	$(DRIVERS)/mil4000.o \
	$(DRIVERS)/miniboy7.o \
	$(DRIVERS)/multfish.o \
	$(DRIVERS)/murogem.o \
	$(DRIVERS)/murogmbl.o \
	$(MACHINE)/nb1413m3.o \
	$(DRIVERS)/norautp.o $(AUDIO)/norautp.o \
	$(DRIVERS)/pangofun.o \
	$(DRIVERS)/pastelg.o $(VIDEO)/pastelg.o \
	$(VIDEO)/pingpong.o $(DRIVERS)/pingpong.o \
	$(DRIVERS)/peplus.o \
	$(DRIVERS)/queen.o \
	$(DRIVERS)/roul.o \
	$(DRIVERS)/re900.o \
	$(DRIVERS)/sfbonus.o \
	$(DRIVERS)/slotcarn.o \
	$(DRIVERS)/statriv2.o \
	$(DRIVERS)/subsino.o \
	$(DRIVERS)/skylncr.o \
	$(AUDIO)/pleiads.o $(VIDEO)/naughtyb.o $(DRIVERS)/ettrivia.o $(DRIVERS)/sms.o \
	$(DRIVERS)/snookr10.o $(VIDEO)/snookr10.o \
	$(DRIVERS)/spool99.o \
	$(DRIVERS)/vpoker.o \
	$(DRIVERS)/videopkr.o \
	$(DRIVERS)/vroulet.o \


#-------------------------------------------------
# the following files are general components and
# shared across a number of drivers
#-------------------------------------------------
$(AGEOBJ)/shared.a: \
 	$(MACHINE)/ticket.o \


#-------------------------------------------------
# layout dependencies
#-------------------------------------------------

$(DRIVERS)/acefruit.o:		$(LAYOUT)/sidewndr.lh

$(DRIVERS)/ampoker2.o:	$(LAYOUT)/ampoker2.lh \
						$(LAYOUT)/sigmapkr.lh \

$(DRIVERS)/bfm_sc1.o:	$(LAYOUT)/bfm_sc1.lh

$(DRIVERS)/highvdeo.o:	$(LAYOUT)/fashion.lh

$(DRIVERS)/bfm_sc2.o:	$(LAYOUT)/bfm_sc2.lh \
						$(LAYOUT)/awpdmd.lh \
						$(LAYOUT)/drwho.lh \
						$(LAYOUT)/awpvid14.lh \
						$(LAYOUT)/awpvid16.lh \
						$(LAYOUT)/drwho.lh \
						$(LAYOUT)/gldncrwn.lh \
						$(LAYOUT)/quintoon.lh \
						$(LAYOUT)/paradice.lh \
						$(LAYOUT)/pyramid.lh \
						$(LAYOUT)/pokio.lh \
						$(LAYOUT)/slots.lh \
						$(LAYOUT)/sltblgpo.lh \
						$(LAYOUT)/sltblgtk.lh

$(DRIVERS)/cardline.o:	$(LAYOUT)/cardline.lh

$(DRIVERS)/funworld.o:	$(LAYOUT)/funworld.lh

$(DRIVERS)/galaxi.o:	$(LAYOUT)/galaxi.lh

$(DRIVERS)/gatron.o:	$(LAYOUT)/poker41.lh \
						$(LAYOUT)/pulltabs.lh

$(DRIVERS)/goldnpkr.o:	$(LAYOUT)/goldnpkr.lh \
						$(LAYOUT)/pmpoker.lh \

$(DRIVERS)/igspoker.o:	$(LAYOUT)/igspoker.lh

$(DRIVERS)/lucky74.o:	$(LAYOUT)/lucky74.lh

$(DRIVERS)/magic10.o:	$(LAYOUT)/sgsafari.lh

$(DRIVERS)/mpoker.o:	$(LAYOUT)/mpoker.lh

$(DRIVERS)/mil4000.o:	$(LAYOUT)/mil4000.lh

$(DRIVERS)/neogeo.o:	$(LAYOUT)/neogeo.lh

$(DRIVERS)/norautp.o:	$(LAYOUT)/noraut11.lh \
			$(LAYOUT)/noraut12.lh

$(DRIVERS)/peplus.o:	$(LAYOUT)/peplus.lh \
						$(LAYOUT)/pe_schip.lh \
						$(LAYOUT)/pe_poker.lh \
						$(LAYOUT)/pe_bjack.lh \
						$(LAYOUT)/pe_keno.lh \
						$(LAYOUT)/pe_slots.lh

$(DRIVERS)/re900.o:	$(LAYOUT)/re900.lh

$(DRIVERS)/roul.o:	$(LAYOUT)/roul.lh

$(DRIVERS)/sderby.o:	$(LAYOUT)/sderby.lh \
					$(LAYOUT)/spacewin.lh \
					$(LAYOUT)/pmroulet.lh \

$(DRIVERS)/sfbonus.o:	$(LAYOUT)/pirpok2.lh

$(DRIVERS)/snookr10.o:	$(LAYOUT)/snookr10.lh

$(DRIVERS)/videopkr.o:	$(LAYOUT)/videopkr.lh \
						$(LAYOUT)/blckjack.lh \
						$(LAYOUT)/videodad.lh \
						$(LAYOUT)/videocba.lh \
						$(LAYOUT)/babypkr.lh \
						$(LAYOUT)/babydad.lh

$(DRIVERS)/mpu4.o:	$(LAYOUT)/mpu4.lh \
					$(LAYOUT)/connect4.lh \
					$(LAYOUT)/gamball.lh
$(VIDEO)/awpvid.o:	$(LAYOUT)/awpvid14.lh \
					$(LAYOUT)/awpvid16.lh

#-------------------------------------------------
# misc dependencies
#-------------------------------------------------

$(DRIVERS)/neogeo.o:		$(MAMESRC)/drivers/neodrvr.c
$(AGEDRIVERS)/impctawp.o:	$(MAMESRC)/video/jpmimpct.c
$(DRIVERS)/mpu4.o:			$(MAMESRC)/drivers/mpu4drvr.c

